# Generated by rust2rpm
# Some tests are broken on non-x86_64
# https://github.com/rayon-rs/rayon/issues/585
%bcond_with check
%global debug_package %{nil}

%global crate rayon

Name:           rust-%{crate}
Version:        1.0.2
Release:        1%{?dist}
Summary:        Simple work-stealing parallelism for Rust

License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/rayon
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Bump crossbeam-deque to 0.4, upstream doesn't want this
Patch0:         rayon-1.0.2-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(crossbeam-deque) >= 0.4.0 with crate(crossbeam-deque) < 0.5.0)
BuildRequires:  (crate(either) >= 1.0.0 with crate(either) < 2.0.0)
BuildRequires:  (crate(rayon-core) >= 1.4.0 with crate(rayon-core) < 2.0.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(docopt) >= 1.0.0 with crate(docopt) < 2.0.0)
BuildRequires:  (crate(lazy_static) >= 1.0.0 with crate(lazy_static) < 2.0.0)
BuildRequires:  (crate(rand) >= 0.5.0 with crate(rand) < 0.6.0)
BuildRequires:  (crate(serde) >= 1.0.0 with crate(serde) < 2.0.0)
BuildRequires:  (crate(serde_derive) >= 1.0.0 with crate(serde_derive) < 2.0.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
Simple work-stealing parallelism for Rust.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md RELEASES.md FAQ.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/{appveyor.yml,bors.toml,ci,scripts}

%changelog
* Tue Jul 17 2018 Josh Stone <jistone@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-2
- Bump docopt to 1

* Fri Mar 16 2018 Josh Stone <jistone@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Tue Feb 20 2018 Josh Stone <jistone@redhat.com> - 1.0.0-1
- Update to 1.0.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-4
- Rebuild for rust-packaging v5

* Sun Dec 31 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-3
- Bump rand to 0.4

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-2
- Exclude unneeded files

* Tue Nov 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0

* Sat Jul 01 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.0-2
- Port to use rust-packaging

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.0-1
- Initial package
